<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');


//$_GET['traza']='si';



$gestion=$_SESSION['gestion'];
$mostrarCajas=($_SESSION['verEnCajas']=='S');


if($_GET['paletDetener']) {

	$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#STOPINVENTARIO#'.$_SESSION['inventarioSGA']['inventario']['Inventario'].';'.$_GET['paletDetener'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	//Volvemos a recargar igual que en la pantalla inicial
	
	$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOABIERTOS#'.$_SESSION['almacen'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$_SESSION['inventariosSGAlistado']=array();
	foreach($resultado as $inventario) $_SESSION['inventariosSGAlistado'][]=$inventario;
	
	//Simulamos que se ha seleccionado, para volver a recargar datos
	$_POST['inventario']=$_SESSION['inventarioSGA']['inventario']['Inventario'];
	
}



//VIENE POST DE LA PRIMERA PANTALLA - LISTADO DE INVENTARIOS

if($_POST['inventario']) {

	foreach($_SESSION['inventariosSGAlistado'] as $item) {
		if($item['Inventario']==$_POST['inventario']) {
			$inventarioSeleccionado=$item;
		}
	}
	
	//comprobar si se ha cambiado de inventario, que se paralice el palet anterior
	if( isset($_SESSION['inventarioSGA']['inventario']) && $_SESSION['inventarioSGA']['inventario']['Inventario']!=$inventarioSeleccionado['Inventario']) {
		
		if($_SESSION['inventarioSGA']['palet']) {
		
			$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#STOPINVENTARIO#'.$_SESSION['inventarioSGA']['inventario']['Inventario'].';'.$_SESSION['inventarioSGA']['palet'];
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
	
			$mensaje='<p>Ha habido un cambio de inventario.<br>Anteriormente estabas trabajando sobre el palet '.$_SESSION['inventarioSGA']['palet'].' para el inventario '.$_SESSION['inventarioSGA']['inventario']['Inventario'].' y ha sido desbloqueado.</p>';
			
		}
		else {
		
			$mensaje='<p>Ha habido un cambio de inventario. No se había comenzado a trabajar sobre ningún palet.</p>';
		
		}
		
		$playIniciado=false;

		
	}
	else if( isset($_SESSION['inventarioSGA']['inventario']) ) {
	
		$mensaje='Se ha detectado que se continúa con el inventario anterior.';
		
	}
	else {
	
		$playIniciado=false;
	
		$mensaje='Comenzamos con un nuevo inventario.';
	
	}
	
	unset($_SESSION['inventarioSGA']);
	$_SESSION['inventarioSGA']['inventario']=$inventarioSeleccionado;
	
	
}

//echo '<p>Traza 2: '.$mensaje.'</p>';
//print_r($_SESSION['inventarioSGA']);



if($_GET['traza']=='si') {

	echo '<p>Gestión: '.$gestion.'</p>';
	echo '<p>Traza session inventarioSGA:</p>';
	print_r($_SESSION['inventarioSGA']);
	echo '<hr>';
	print_r($_POST);
	echo '<hr>';
	echo '<p>mostrarCajas: '.$mostrarCajas.'</p>';

}




//Datos para cuando viene producto nuevo, de listado de productos del cliente

if($_GET['automatizarProducto']) {

	$automatizarProducto=$_GET['automatizarProducto'];
	$automatizarProductoDescripcion=$_GET['Descripcion'];
	$automatizarProductoTieneGestionFCaducidad=($_GET['TieneGestionFCaducidad']=='S');
	$automatizarProductoTieneGestionLotes=($_GET['TieneGestionLotes']=='S');
	$automatizarProductoTieneGestionNSerie=($_GET['TieneGestionNSerie']=='S');
	$automatizarProductoTieneGestionPrecinta=($_GET['TieneGestionPrecinta']=='S');
	
	$automatizarProductoEmbalajePrimarioCaja=$_GET['EmbalajePrimarioCaja'];
	$automatizarProductoDecimales=$_GET['Decimales'];
	
	$automatizarProductoUMint=$_GET['UMint'];
	
}




$hayProductosInformados=false;
$playIniciado=false;

function indiceProducto($producto) {

	$indiceBase='';
    $indiceBase.='-'.limpiaCodigo($producto['Producto']);
    $indiceBase.='-'.limpiaCodigo($producto['Regimen']);
    $indiceBase.='-'.limpiaCodigo($producto['Precinta']);
	$indiceBase.='-'.limpiaCodigo($producto['Lote']);
    $indiceBase.='-'.limpiaCodigo($producto['Caducidad']);
    $indiceBase.='-'.limpiaCodigo($producto['NumSerie']);
	
	return $indiceBase;

}

if($_SESSION['inventarioSGA']) {

	$inventarioNumero=$_SESSION['inventarioSGA']['inventario']['Inventario'];
	$inventarioDescripcion=$_SESSION['inventarioSGA']['inventario']['Descripcion'];
	$inventarioCliente=$_SESSION['inventarioSGA']['inventario']['Cliente'];
	$inventarioClienteDescripcion=$_SESSION['inventarioSGA']['inventario']['ClienteDescripcion'];
	$inventarioRegimen=$_SESSION['inventarioSGA']['inventario']['Regimenes'];
	
	$regimenes=explode(',',$inventarioRegimen);
	
	if(count($regimenes)>1) $inventarioMultiRegimen=true;
	else $inventarioMultiRegimen=false;

	
	
	
	
	if( $_POST['iniciarPalet'] || ($_SESSION['inventarioSGA']['ubicacion'] && $_SESSION['inventarioSGA']['palet']) ) {
	
		$playIniciado=true;
		
	}
	
	if( $_GET['ubicacion'] || $_GET['palet'] ) {
	
		$ubicacion=strtoupper($_GET['ubicacion']);
		$palet=$_GET['palet'];
		
	}
	else if( $_POST['ubicacion'] && $_POST['palet'] ) {
	
		$ubicacion=strtoupper($_POST['ubicacion']);
		$palet=$_POST['palet'];
		
	}
	else {
	
		$ubicacion=$_SESSION['inventarioSGA']['ubicacion'];
		$palet=$_SESSION['inventarioSGA']['palet'];
	
	}
	
	
	$mostrarProductos=($ubicacion && $palet);

	if($mostrarProductos) {
		
		$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTAPRODUCTOS#'.$inventarioNumero.';'.$palet;

		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
		if($_GET['traza']=='si') {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		if($resultado[0]['Error']) {
		
			$valores=explode('#',$resultado[0]['Error']);
			$errorMostrar=$valores[1];
			
			unset($_SESSION['inventarioSGA']['listaProductos']);
		
		}
		else {
		
			$_SESSION['inventarioSGA']['listaProductos']=array();
			foreach($resultado as $item) $_SESSION['inventarioSGA']['listaProductos'][]=$item;
			
		}
			
	}
	
	
	
	///////// ENVIO DE DATOS /////////////////
	
	if($_POST['enviarDatos']) {
	
		/*
		
		*PXSGAInventarioLin
		Empresa=PXPU
		Inventario=INV240000002
		Contenedor=24011000002
		Producto=JMA7
		Regimen=GRAL
		Precinta=-
		Lote=-
		Caducidad=-
		NumSerie=-
		Cantidad=5
		Observaciones=Sin diferencias
		UsuarioLectura=PRU
		*FIN
		
		*/
		
		$cadenaEnvio='';
		
		foreach($_SESSION['inventarioSGA']['listaProductos'] as $producto) {
		
			$indiceBase=indiceProducto($producto);
			
            $indiceCantidad='cantidad'.$indiceBase;
            $indiceObservaciones='observaciones'.$indiceBase;
			
			$indiceCajas='cajas-'.$indiceCantidad;
			
			$cadenaEnvio.='*PXSGAInventarioLin'.PHP_EOL;
			
			$cadenaEnvio.='Empresa='.$_SESSION['empresa'].PHP_EOL;
			$cadenaEnvio.='Inventario='.$inventarioNumero.PHP_EOL;
			$cadenaEnvio.='Contenedor='.$palet.PHP_EOL;
			
			$cadenaEnvio.='Producto='.$producto['Producto'].PHP_EOL;
			$cadenaEnvio.='Regimen='.$producto['Regimen'].PHP_EOL;
			$cadenaEnvio.='Precinta='.$producto['Precinta'].PHP_EOL;
			$cadenaEnvio.='Lote='.$producto['Lote'].PHP_EOL;
			$cadenaEnvio.='Caducidad='.$producto['Caducidad'].PHP_EOL;
			$cadenaEnvio.='NumSerie='.$producto['NumSerie'].PHP_EOL;
			
			if($_POST[$indiceCajas]=='1') $cantidadEnviar=$_POST[$indiceCantidad] * $producto['EmbalajePrimarioCaja'];
			else $cantidadEnviar=$_POST[$indiceCantidad];
			
			$cadenaEnvio.='Cantidad='.$cantidadEnviar.PHP_EOL;
			
			$cadenaEnvio.='Observtablet='.$_POST[$indiceObservaciones].PHP_EOL;
			
			$cadenaEnvio.='UsuarioLectura='.$_SESSION['usuario']['Usuario'].PHP_EOL;
			
		}
		
		foreach($_SESSION['inventarioSGA']['incluirNuevos'] as $clave=>$producto) {
		
			$indiceCantidad='nuevoCantidad-'.$clave;
            $indiceObservaciones='nuevoObservaciones-'.$clave;
			
			$indiceCajas='cajas-'.$indiceCantidad;
			
			$cadenaEnvio.='*PXSGAInventarioLin'.PHP_EOL;
			
			$cadenaEnvio.='Empresa='.$_SESSION['empresa'].PHP_EOL;
			$cadenaEnvio.='Inventario='.$inventarioNumero.PHP_EOL;
			$cadenaEnvio.='Contenedor='.$palet.PHP_EOL;
			
			$cadenaEnvio.='Producto='.$producto['Producto'].PHP_EOL;
			$cadenaEnvio.='Regimen='.$producto['Regimen'].PHP_EOL;
			
			//Atencion: datos no informados, se envía '-'
			
			if($producto['Precinta']) $precintaEnviar=$producto['Precinta'];
			else $precintaEnviar='-';
			$cadenaEnvio.='Precinta='.$precintaEnviar.PHP_EOL;
			
			if($producto['Lote']) $loteEnviar=$producto['Lote'];
			else $loteEnviar='-';
			$cadenaEnvio.='Lote='.$loteEnviar.PHP_EOL;
			
			if($producto['Caducidad']) $caducidadEnviar=fechaParaProxium(fechaMysql($producto['Caducidad']));
			else $caducidadEnviar='-';
			$cadenaEnvio.='Caducidad='.$caducidadEnviar.PHP_EOL;
			
			if($producto['NumSerie']) $numSerieEnviar=$producto['NumSerie'];
			else $numSerieEnviar='-';
			$cadenaEnvio.='NumSerie='.$numSerieEnviar.PHP_EOL;
			
			if($_POST[$indiceCajas]=='1') $cantidadEnviar=$_POST[$indiceCantidad] * $producto['EmbalajePrimarioCaja'];
			else $cantidadEnviar=$_POST[$indiceCantidad];
			
			$cadenaEnvio.='Cantidad='.$cantidadEnviar.PHP_EOL;
			
			$cadenaEnvio.='Observtablet='.$_POST[$indiceObservaciones].PHP_EOL;
			
			$cadenaEnvio.='UsuarioLectura='.$_SESSION['usuario']['Usuario'].PHP_EOL;
			
		}
		
		$cadenaEnvio.='*FIN'.PHP_EOL;
		
		$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
		
		if($_GET['traza']=='si') {
			echo nl2br($cadenaEnvio);
			print_r($resultado);
		}
		
		$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
		
		if($resultadoEvaluar[0]!=1) {
			?>
            <script>
				alert('ERROR: <?php echo $resultadoEvaluar[1]; ?>',null,'error');
			</script>
            <?php
		}
		else {
		
			unset($_SESSION['inventarioSGA']['palet']);
			unset($_SESSION['inventarioSGA']['ubicacion']);
			unset($_SESSION['inventarioSGA']['campos']);
			unset($_SESSION['inventarioSGA']['incluirNuevos']);
		
			?>
            <script>
				alert('Palet <?php echo $palet; ?> enviado al inventario.',null,'ok')
				.done(function(){
					$('#popupCargando').show();
					window.location=window.location;
				});
			</script>
            <?php
		}
	
	}
	
	
	

	
	include($rutaPhp.$rutaHtml.'/contenidos/popup-playas.php');
	
	$mostrarCliente=( $gestion=='PUB' || ( $gestion=='PUBPRI' && $inventarioCliente ) );
	
	//echo '<p>Inventario actual:</p>';
	//print_r($_SESSION['inventarioSGA']['inventario']);
	//echo '<p>Palets en uso: '.$_SESSION['inventarioSGA']['inventario']['PaletsEnUso'].'</p>';
	
	
	?>
    
	<h2>Inventario</h2>
    
    <table class="tablaFormateada">
    
    	<tr>
        	<th>Código</th>
            <th>Descripción</th>
            <?php if( $mostrarCliente ) { ?>
            <th>Cliente</th>
            <th>Nombre cliente</th>
            <?php } ?>
            <th>Régimen</th>
        </tr>
        
        <tr>
        	<td><?php echo $inventarioNumero; ?></td>
            <td><?php echo $inventarioDescripcion; ?></td>
            <?php if( $mostrarCliente ) { ?>
            <td><?php echo $inventarioCliente; ?></td>
            <td><?php echo $inventarioClienteDescripcion; ?></td>
            <?php } ?>
            <td><?php echo $inventarioRegimen; ?></td>
        </tr>
    
    </table>
    
    
    
	<!--
    <?php if($mensaje) { ?>
    <p><?php echo $mensaje; ?></p>
    <?php } ?>
    -->
    
    
    
    <?php if($_SESSION['inventarioSGA']['inventario']['PaletsEnUso']) { ?>
    
    <h2>Palets activos (<?php echo $_SESSION['usuario']['Usuario']; ?>)</h2>
    
    <table class="tablaFormateada">
    
    	<tr>
        	<th>Palet</th>
            <th>Detener</th>
        </tr>
        
        <?php $palets=explode(',',$_SESSION['inventarioSGA']['inventario']['PaletsEnUso']); ?>
        <?php foreach($palets as $item) { ?>
        
        <tr>
        	<td><?php echo $item; ?></td>
            <td><a href="?paletDetener=<?php echo $item; ?>" class="mostrarCargando"><img src="img_nx/botones/stop.png" width="60" height="60" /></a></td>
        </tr>
        
        <?php } ?>
    
    </table>
    
    <?php } ?>
    
    <!-- ///////////////// POPUP Y GESTION NUEVO PRODUCTO //////////////// -->
    
    <div id="popupNuevoProducto" class="popup" <?php if(!$automatizarProducto) { ?>style="display:none"<?php } ?>>
    	<div id="popupNuevoProductoContenido" class="popupContenido" style="min-width:750px;">
        	<h2 style="margin-top:30px">Incluir producto no informado:</h2>
            <p><strong><?php echo $automatizarProducto; ?> - <?php echo $automatizarProductoDescripcion; ?></strong></p>
            
            
            <table class="tablaCamposEntradaGs1">


			<tr><td align="left">Regimen:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<select name="regimen" id="regimen" class="campo campoOrdenPreparacion cambiaFoco compruebaDato <?php if(count($regimenes)==1) { ?>deshabilitado<?php } ?>" nombre="regimen" style="left:4px;" <?php if(count($regimenes)==1) { ?>readonly<?php } ?>>
                	  <?php if(count($regimenes)>1) { ?>
                      <option value="">---</option>
                      <?php } ?>
                      <?php foreach($regimenes as $regimen)  { ?>
                	  <option value="<?php echo $regimen; ?>"><?php echo $regimen; ?></option>
                      <?php } ?>
					</select>
              </div>
            </div>
            
            </td></tr>
            
        
        	<?php if($automatizarProductoTieneGestionLotes) { ?>
            
            <tr><td align="left">Lote:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLote" />
                	<input name="lote" type="text" class="campo campoOrdenPreparacion cambiaFoco compruebaDato" id="lote" style="left:5px;" value="" autocomplete="off" nombre="lote">
                	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarLote" style="position: absolute;right:-55px;cursor:pointer;top:3px;" class="iconoBorrar"/>
                </div>
            </div>
            
            </td></tr>
            
            <?php } ?>
            
            
            <?php if($automatizarProductoTieneGestionFCaducidad) { ?>
            
            <tr><td align="left">Fecha de Caducidad:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<input name="fechaCaducidad" type="text" class="campo campoOrdenPreparacion cambiaFoco compruebaDato" id="fechaCaducidad" maxlength="14" style="left:5px;" value="" autocomplete="off" nombre="fecha de caducidad"/>
                	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarFechaCaducidad" style="position: absolute;right:-55px;cursor:pointer;top:3px;" class="iconoBorrar"/>
                </div>
            </div>
            
            </td></tr>
            
            <?php } ?>
            
            
			<?php if($automatizarProductoTieneGestionPrecinta) { ?>
            
            <?php $precintas=arreglaArrayPXMobileProxiumResult($_SESSION['parametrosSGA']['TiposPrecintado']); ?>
            
            <tr><td align="left">Tipo de Precinta:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<select name="precinta" id="precinta" class="campo campoOrdenPreparacion cambiaFoco compruebaDato <?php if(count($precintas)==1) { ?>deshabilitado<?php } ?>" nombre="tipo de precinta" style="left:4px;" <?php if(count($precintas)==1) { ?>readonly<?php } ?>>
                    	<?php if(count($precintas)>1) { ?>
						<option value="">---</option>
						<?php } ?>
                		<?php foreach($precintas as $precinta) { ?>
                        <option value="<?php echo $precinta['Codigo']; ?>"><?php echo $precinta['Descripcion']; ?></option>
                		<?php } ?>
                    </select>
                </div>
            </div>
            
            </td></tr>
            
            <?php } ?>
            
            
            <?php if( $automatizarProductoTieneGestionNSerie ) { ?>
            
            <tr><td align="left">Número de serie:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoNumSerie" />
                	<input name="numSerie" type="text" class="campo campoOrdenPreparacion cambiaFoco compruebaDato" id="numSerie" maxlength="14" style="left:5px;" value="" autocomplete="off" nombre="número de serie"/>
                	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarNumSerie" style="position: absolute;right:-55px;cursor:pointer;top:3px;" class="iconoBorrar"/>
                </div>
            </div>
            
            </td></tr>
            
            <?php } ?>
            
            
            <?php
            if($mostrarCajas && $automatizarProductoEmbalajePrimarioCaja>1) {
			
				$mostrarBotonCajas=true;
				
				$etiqueta="Cajas";
				$etiquetaInversa="Unidades";
				$cajas=true;
				
			}
			else $mostrarBotonCajas=false;
			?>
            
            <tr><td align="left">Cantidad: <?php if($mostrarBotonCajas) { ?>(<span id="etiqueta-cantidad"><?php echo $etiqueta; ?></span>)<input type="hidden" name="cajas-cantidad" id="cajas-cantidad" class="cajas" value="<?php echo $cajas; ?>" /><?php } else { ?>(<?php echo $automatizarProductoUMint; ?>)<?php } ?></td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                	<?php if($mostrarBotonCajas) { ?>
                    <img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoUnidades" id="iconoUnidades-cantidad" name="iconoUnidades-cantidad" />
                    <?php } ?>
                	<input name="numSerie" type="text" class="campo cantidad campoOrdenPreparacion compruebaDato" id="cantidad" maxlength="14" style="left:5px;" value="" autocomplete="off" nombre="cantidad"/ embalajePrimarioCaja="<?php echo $automatizarProductoEmbalajePrimarioCaja; ?>" decimales="<?php echo $automatizarProductoDecimales; ?>">
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidad" style="position: absolute;right:-55px;cursor:pointer;top:3px;" class="iconoBorrar"/>
                </div>
            </div>
            
            </td></tr>
			
            
        	</table>
            
            <input type="hidden" id="embalajePrimarioCaja" value="<?php echo $automatizarProductoEmbalajePrimarioCaja; ?>" />
            <input type="hidden" id="decimales" value="<?php echo $automatizarProductoDecimales; ?>" />
            
            <p><input type="button" id="botonNuevoProductoConfirmar" value="CONFIRMAR" class="boton" /></p>
            <p><input type="button" id="botonNuevoProductoCerrar" value="Cancelar" class="boton reducido" /></p>
            
            <script>
			
			//var automatizarProductoTieneGestionLotes=<?php if($automatizarProductoTieneGestionLotes) echo 'true'; else echo 'false'; ?>;
			//var automatizarProductoTieneGestionFCaducidad=<?php if($automatizarProductoTieneGestionFCaducidad) echo 'true'; else echo 'false'; ?>;
			//var automatizarProductoTieneGestionNSerie=<?php if($automatizarProductoTieneGestionNSerie) echo 'true'; else echo 'false'; ?>;
			//var automatizarProductoTieneGestionPrecinta=<?php if($automatizarProductoTieneGestionPrecinta) echo 'true'; else echo 'false'; ?>;	
			
			var secuenciaCampos=new Array();
			
			<?php if($automatizarProductoTieneGestionLotes) { ?>secuenciaCampos.push('lote');<?php } ?>
			<?php if($automatizarProductoTieneGestionFCaducidad) { ?>secuenciaCampos.push('fechaCaducidad');<?php } ?>
			<?php if($automatizarProductoTieneGestionPrecinta) { ?>secuenciaCampos.push('precinta');<?php } ?>
			<?php if($automatizarProductoTieneGestionNSerie) { ?>secuenciaCampos.push('numSerie');<?php } ?>
				
			secuenciaCampos.push('cantidad');
				

					
			function focoSiguiente(campoActual) {
		
				if(campoActual=='') foco=secuenciaCampos[0];
				else {
					for (i=0;i<secuenciaCampos.length;i++) {
						if(secuenciaCampos[i]==campoActual) {
							foco=secuenciaCampos[i+1];
							if( $('#'+foco).val()!='' || $('#'+foco).hasClass('deshabilitado') ) foco=focoSiguiente(foco);
						}
					}
				}
				$('#'+foco).focus();
				//console.log(foco);
				return foco;
			}
			
			
			$(document).ready(function(){
			
				$('#fechaCaducidad').on('click',function(e){
					e.preventDefault();
					$('#calendario').show();
					$('#valorCalendario').val( $(this).val() );
					deconstruyeFecha();
					$('#enterCalendario').attr('campoValor', 'fechaCaducidad' );
					$('#enterCalendario').attr('forzarEnter','si');
				});
			
				$('.cambiaFoco').on('change',function(){
				
					var campo=$(this);
				
					focoSiguiente( campo.attr('id') );
				
				});
				
				$('#botonNuevoProductoConfirmar').on('click',function(){
				
					var hayErrores=false;
				
					$('.compruebaDato').each(function(){
						
						if(!$(this).val()) {
							hayErrores=true;
							var nombre=$(this).attr('nombre');
							alert('Atención: es necesario informar el dato <strong>'+nombre+'</strong>',$(this),'error')
							.done(function(){
								$(this).addClass('campoError');
								$(this).focus();
							});
						}
						else if( $(this).hasClass('campoError') ) {
							hayErrores=true;
							alert('Atención: revisa los datos introducidos, ya que hay errores.',$(this),'error')
							.done(function(){
								$(this).focus();
							});
						}
						
					});
				
					if(!hayErrores) {
						
						$.post('contenidos/inventario-palet-nuevo-incluir.php' , { 'codigo' : '<?php echo $automatizarProducto; ?>', 'descripcion' : '<?php echo $automatizarProductoDescripcion; ?>' , 'precinta' : $('#precinta').val() , 'lote' : $('#lote').val() , 'fechaCaducidad' : $('#fechaCaducidad').val() , 'numSerie' : $('#numSerie').val() , 'cantidad' : $('#cantidad').val() , 'observaciones' : $('#observaciones').val() , 'regimen' : $('#regimen').val() , 'embalajePrimarioCaja' : $('#embalajePrimarioCaja').val() , 'decimales' : $('#decimales').val() , 'cajas' : $('#cajas-cantidad').val() })
						.done(function(data){
						
							//console.log( 'resultado incluir: '+data );
						

							if(data=='ok') {
						
								$('#popupCargando').show();
								window.location='inventario-sga.php';
								
							}
							else {
							
								alert(data,null,'error');
							
							}

						
						});
						
					}
				
				});
			
			});
			
			
			</script>
            
        </div>
    </div>
    
    <!-- ///////////////// FIN POPUP Y GESTION NUEVO PRODUCTO //////////////// -->
    
    
    <!-- POP UP OBSERVACIONES -->
    
    <div id="popupObservaciones" class="popup"style="display:none">
    	<div id="popupObservacionesContenido" class="popupContenido" style="min-width:850px;">
        	<p>Observaciones:<br>
        	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoObservaciones" />
            <input type="text" class="campo observaciones" id="observacionesTemp" name="observacionesTemp" value="" style="width:700px"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarObservaciones" style="margin-left:-60px;"/>
            </p>
            <input type="hidden" name="observacionesTempCampo" id="observacionesTempCampo" />
            <p><input type="button" id="botonObservacionesAceptar" value="Aceptar" class="boton" /></p>
            <p><input type="button" id="botonObservacionesCancelar" value="Cancelar" class="boton reducido" /></p>
        </div>
    </div>
    
    <script>
	
		$(document).ready(function(){
		
			$('#tecladoObservaciones').on('click',function(e){
				$('#observacionesTemp').trigger('click');
			});
		
			$('#borrarObservaciones').on('click',function(e){
				$('#observacionesTemp').val('');
			});
		
			$('.botonObservaciones').on('click',function(e){
			
				e.preventDefault();
				
				var campo=$(this).siblings('.observaciones');
				$('#observacionesTempCampo').val( campo.attr('id') );
				$('#observacionesTemp').val( campo.val() );
				
				$('#popupObservaciones').show();
				
			});
		
			$('#observacionesTemp').on('click',function(e){
			
				$('#teclado').show();
				$('#valor').val( $(this).val() );
				$('#valorOculto').val( $(this).val() );
				$('#enter').attr('campoValor',$(this).attr('id'));
				$('#enter').attr('formulario','');
				$('#enter').attr('forzarEnter','si');
				
			});
			
			$('#botonObservacionesAceptar').on('click',function(){
			
				var campo=$('#observacionesTempCampo').val();
				var valor=$('#observacionesTemp').val();
				
				$('#'+campo).val( valor );
				$('#'+campo).trigger('change'); //para que guarde
				
				console.log('campo: '+campo);
				console.log('valor: '+valor);
				
				$('#popupObservaciones').hide();
			
			});
			
			$('#botonObservacionesCancelar').on('click',function(){
			
				$('#popupObservaciones').hide();
				
			});
		
		});
	
	</script>
    
    <!--- FIN POPUP OBSERVACIONES -->
    
	
	<form id="formularioInventario" name="formularioInventario" method="post" action="inventario-sga.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>">
        
        <p>Ubicación:<br />
        <?php if($playIniciado) { ?>
        <input name="ubicacion" type="text" class="campo mayusculas deshabilitado" id="ubicacion" size="14" maxlength="50" autocomplete="off" value="<?php echo $ubicacion; ?>" readonly/>
        <?php } else { ?>
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" />
        <input name="ubicacion" type="text" class="campo mayusculas" id="ubicacion" size="14" maxlength="50" autocomplete="off" value="<?php echo $ubicacion; ?>"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarUbicacion" style="margin-left:-60px;"/>
        <img src="<?php echo DIR_IMAGENES; ?>/playa.png" alt="Seleccionar Playa" id="botonPlayas" style="position:absolute;width:45px;cursor:pointer;margin-left:15px;margin-top:5px;"/>
        <?php } ?>
        </p>
        
        <p>Palet:<br />
        <?php if($playIniciado) { ?>
        <input name="palet" type="text" class="campo mayusculas deshabilitado" id="palet" size="14" maxlength="14" autocomplete="off" value="<?php echo $palet; ?>" readonly/>
        <?php } else { ?>
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPalet" />
        <input name="palet" type="text" class="campo mayusculas" id="palet" size="14" maxlength="14" autocomplete="off" value="<?php echo $palet; ?>"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarPalet" style="margin-left:-60px;"/>
        <?php } ?>
        </p>
        
        <input type="hidden" id="inventario" name="inventario" value="<?php echo $inventario; ?>" />
        <input type="hidden" id="iniciarPalet" name="iniciarPalet" value="" />
        
        <input type="hidden" id="enviarDatos" name="enviarDatos" value="" />
        
        <input type="hidden" id="discrepanciasInformadas" name="discrepanciasInformadas" value="" />
        
		<?php if( $mostrarProductos ) { ?>
        
            <?php if( is_array($_SESSION['inventarioSGA']['listaProductos']) && count($_SESSION['inventarioSGA']['listaProductos'])>0 ) { ?>
            
            	<div id="bloqueProductosIncluidosEnPalet">
            
                <p>Productos incluidos en el palet:</p>
            
                <table class="tablaFormateada anchoMaximo" style="">
                
                    <tr>
                        <th>Código</th>
                        <th>Descripción</th>
                        <th>Régimen</th>
                        <th>Precinta</th>
                        <th>Lote</th>
                        <th>Caducidad</th>
                        <th>Nº serie</th>
                        <th style="width:<?php if($mostrarCajas) { ?>170<?php } else { ?>100<?php } ?>px">Cantidad</th>
                        <th style="width:70px">Obs.</th>
                    </tr>
                    
                    <?php foreach($_SESSION['inventarioSGA']['listaProductos'] as $producto) { ?>
                    
						<?php
                        $indiceBase=indiceProducto($producto);
                        
                        $indiceCantidad='cantidad'.$indiceBase;
                        $indiceObservaciones='observaciones'.$indiceBase;
						
						$indiceCajas='cajas-'.$indiceCantidad;
                        ?>
                        
                        <tr>
                            <td><?php echo $producto['Producto']; ?></td>
                            <td><?php echo $producto['ProductoDescripcion']; ?></td>
                            <td><?php echo $producto['Regimen']; ?></td>
                            <td><?php echo $producto['Precinta']; ?></td>
                            <td><?php echo $producto['Lote']; ?></td>
                            <td><?php echo fechaNacional(fechaDesdeProxium($producto['Caducidad'])); ?></td>
                            <td><?php echo $producto['NumSerie']; ?></td>
                            
                            <?php
							if($mostrarCajas && $producto['EmbalajePrimarioCaja']>1) {
							
								$mostrarBotonCajas=true;
								
								if($_SESSION['inventarioSGA']['campos'][$indiceCajas]!='0') {
								
									$etiqueta="Cajas";
									$etiquetaInversa="Unidades";
									$cajas='1';
									
								}
								else {
								
									$etiqueta="Unidades";
									$etiquetaInversa="Cajas";
									$cajas='0';
								}
								
							}
							else $mostrarBotonCajas=false;
							
							?>
                            
                            <td align="right" style="padding-top:15px">
                            <?php if($mostrarBotonCajas) { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoUnidades" id="iconoUnidades-<?php echo $indiceCantidad; ?>" name="iconoUnidades-<?php echo $indiceCantidad; ?>" style="margin-right:0"/>
                            <?php } ?>
                            <input name="<?php echo $indiceCantidad; ?>" type="text" id="<?php echo $indiceCantidad; ?>" size="4" maxlength="12" class="campo <?php if($playIniciado) { ?> cantidad guardarCampo cantidadComprobar<?php } else { ?>deshabilitado<?php } ?>" value="<?php echo $_SESSION['inventarioSGA']['campos'][$indiceCantidad]; ?>"<?php if(!$playIniciado) { ?>readonly<?php } ?> EmbalajePrimarioCaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" decimales="<?php echo $producto['Decimales']; ?>"/><br />
                            <?php if($mostrarBotonCajas) { ?><span id="etiqueta-<?php echo $indiceCantidad; ?>"><?php echo $etiqueta; ?></span><input type="hidden" name="<?php echo $indiceCajas; ?>" id="<?php echo $indiceCajas; ?>" class="cajas guardarCampo" value="<?php echo $cajas; ?>" /><?php } else echo $producto['UMint']; ?>
                            <?php ?>
                            <input type="hidden" id="<?php echo 'original-'.$indiceCantidad; ?>" value="<?php echo $producto['Cantidad']; ?>" />
							</td>
                            <td>
                            <?php if($playIniciado) { ?>
                            <img src="img_nx/editar.png" alt="Observaciones" class="botonObservaciones" style="width:60px;cursor:pointer;margin-right:-20px"/>
                            <input name="<?php echo $indiceObservaciones; ?>" type="hidden" id="<?php echo $indiceObservaciones; ?>" size="20" class="observaciones guardarCampo" value="<?php echo $_SESSION['inventarioSGA']['campos'][$indiceObservaciones]; ?>" />
                            <?php } ?>
                          </td>
    
                        </tr>
                        
                        <?php if($_SESSION['inventarioSGA']['campos'][$indiceCantidad]) $hayProductosInformados=true; ?>
                    
                    <?php } ?>
                
                </table>
                
                </div> <!-- fin bloque productos incluidos -->
            
            <?php } else { //Si no hay productos ?>
            
            	<?php if(!$errorMostrar) $errorMostrar='No constan productos en ese palet'; ?>
            
            	<script>
					alert('Error: <?php echo $errorMostrar; ?>',null,'error');
				</script>
            
            <?php } ?>
        
        <?php } //Fin if mostrarProductos ?>
        
        
        
        <?php if(is_array($_SESSION['inventarioSGA']['incluirNuevos']) && count($_SESSION['inventarioSGA']['incluirNuevos'])>0) { ?>
        
        <?php $hayProductosInformados=true; ?>
        
        	<p>Productos no incluidos a informar:</p>
            
			<table class="tablaFormateada anchoMaximo" style="">
            
            	<tr>
					<th>Código</th>
					<th>Descripción</th>
					<th>Régimen</th>
					<th>Precinta</th>
					<th>Lote</th>
					<th>Caducidad</th>
					<th>Nº serie</th>
					<th style="width:<?php if($mostrarCajas) { ?>170<?php } else { ?>100<?php } ?>px">Cantidad</th>
					<th style="width:70px">Obs.</th>
                    <th></th>
				</tr>
                    
				<?php foreach($_SESSION['inventarioSGA']['incluirNuevos'] as $clave=>$producto) { ?>
                
                	<?php //print_r( $producto); ?>
                    
                    <?php
					
					$indiceCantidad='nuevoCantidad-'.$clave;
					$indiceCajas='cajas-'.$indiceCantidad;
					
					?>
                
                    <tr>
                        <td><?php echo $producto['Producto']; ?></td>
                        <td><?php echo $producto['ProductoDescripcion']; ?></td>
                        <td><?php echo $producto['Regimen']; ?></td>
                        <td><?php echo $producto['Precinta']; ?></td>
                        <td><?php echo $producto['Lote']; ?></td>
                        <td><?php echo fechaNacional(fechaMysql($producto['Caducidad'])); ?></td>
                        <td><?php echo $producto['NumSerie']; ?></td>
                        
                         <?php
						
							if($mostrarCajas && $producto['EmbalajePrimarioCaja']>1) {
							
								$mostrarBotonCajas=true;
								
								if($producto['Cajas']!='0') {
								
									$etiqueta="Cajas";
									$etiquetaInversa="Unidades";
									$cajas='1';
									
								}
								else {
								
									$etiqueta="Unidades";
									$etiquetaInversa="Cajas";
									$cajas='0';
								}
								
							}
							else $mostrarBotonCajas=false;
							
						?>
                        
                        <td align="right">
                        <?php if($mostrarBotonCajas) { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoUnidades" id="iconoUnidades-<?php echo $indiceCantidad; ?>" name="iconoUnidades-<?php echo $indiceCantidad; ?>" style="margin-right:0"/>
                        <?php } ?>
                        <input name="<?php echo $indiceCantidad; ?>" type="text" id="<?php echo $indiceCantidad; ?>" size="4" maxlength="12" class="campo cantidad guardarCampoNuevo cantidadComprobar" value="<?php echo $producto['Cantidad']; ?>" clave="<?php echo $clave; ?>" campo="Cantidad" EmbalajePrimarioCaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" decimales="<?php echo $producto['Decimales']; ?>"/><br />
                        <?php if($mostrarBotonCajas) { ?><span id="etiqueta-<?php echo $indiceCantidad; ?>"><?php echo $etiqueta; ?></span><input type="hidden" name="<?php echo $indiceCajas; ?>" id="<?php echo $indiceCajas; ?>" class="cajas guardarCampoNuevo" value="<?php echo $cajas; ?>" campo="Cajas" clave="<?php echo $clave; ?>"/><?php } ?>
                        </td>
                        <td>
                        <img src="img_nx/editar.png" alt="Observaciones" class="botonObservaciones" style="width:60px;cursor:pointer;margin-right:-20px"/>
                        <input name="nuevoObservaciones-<?php echo $clave; ?>" type="hidden" id="nuevoObservaciones-<?php echo $clave; ?>" size="20" class="observaciones guardarCampoNuevo" value="<?php echo $producto['Observaciones']; ?>" clave="<?php echo $clave; ?>" campo="Observaciones"/>
                        </td>
                        
                        <td><img src="img_nx/papelera.png" alt="Borrar" class="botonBorrar" style="width:38px;cursor:pointer;" clave="<?php echo $clave; ?>"/></td>
                        
                    </tr>
                
                <?php } ?>
            
            </table>
            
            <script>
			
				$(document).ready(function(){
				
					$('.guardarCampoNuevo').on('change',function(e){
				
						e.preventDefault();
						
						var clave=$(this).attr('clave');
						var campo=$(this).attr('campo');
					
						$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-nuevo-grabar-datos.php', { 'clave' : clave , 'campo' : campo , 'valor' : $(this).val() })
						.done(function(data){
							console.log(data);
						});
		
					
					});
					
					$('.botonBorrar').on('click',function(e){
				
						e.preventDefault();
						
						var clave=$(this).attr('clave');
						
						$('#popupCargando').show();
					
						$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-nuevo-borrar.php', { 'clave' : clave })
						.done(function(data){
							window.location='inventario-sga.php';
						});
		
					
					});
				
				});
			
			</script>
        
        <?php } //Fin if hay nuevos ?>
        
    
    </form>
    
    <?php if($playIniciado) { ?>
    <p><input type="button" id="botonNuevoProductoAbrir" class="boton" value="Añadir producto"/>
    <?php } ?>
    
	<script>
	
		function bloqueaCampo(campo){
		
			campo.prop('readonly',true);
			campo.addClass('deshabilitado');
			campo.parent().children('img').hide();
		
		}
	
		function reinicia() {
		
			$('#ubicacion').val('');
			$('#palet').val('');
			
		}
		
		function compruebaCombinacionPaletUbicacion() {
		
			$('#ubicacion').removeClass('campoError');
					
			var ubicacionInformada=$('#ubicacion').val().toUpperCase();
			var palet=$('#palet').val();
			
			if(palet) {
			
				$('#popupCargando').show();
		
				$.post( '<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php', { 'contenedor' : palet , 'comprobarAlmacen' : true , 'procedencia' : 'inventario' })
				.done(function(data) {
				
					console.log('resultado info contenedor: '+data);
				
					$('#popupCargando').hide();

					var resultado=data.split('#');
					
					var ubicacionPalet=resultado[0];
					var ubicacionPaletAlias=resultado[2];
					
					console.log('ubicacion informada: '+ubicacionInformada);
					console.log('ubicacion palet: '+ubicacionPalet);
					console.log('ubicacion palet alias: '+ubicacionPaletAlias);
					
					if(ubicacionPalet=='error') {
						alert('ERROR: '+resultado[2],null,'error')
						.done(function(){
							$('#palet').addClass('campoError');
							$('#palet').focus();
						});
					}
					else if(ubicacionInformada && ubicacionInformada!=ubicacionPalet && ubicacionInformada!=ubicacionPaletAlias ) {
						alert('Atencion: El palet <strong>'+palet+'</strong> no se encuentra<br>ubicado en <strong>'+ubicacionInformada+'</strong> sino en <strong>'+ubicacionPalet+'</strong>',null,'error')
						.done(function(){
							$('#ubicacion').addClass('campoError');
							$('#ubicacion').focus();
						});
					}
					else {
					
						var tipoZona=resultado[7];
						
						console.log('TIPO ZONA: '+tipoZona);
						
						//si tipoZona=1 se llama a palets por ubicacion, para comprobar si hay más de un palet en esa ubicacion
						if(tipoZona=='1' && ubicacionInformada) {
						
							console.log('Procedemos a comprobar cuántos palets hay en la ubicacion');
						
							$('#popupCargando').show();
						
							$.post( '<?php echo $rutaHtml; ?>/contenidos/cargar-contenedores-ubicacion-S.php', { 'ubicacion' : ubicacionInformada , 'procedencia' : 'inventario' })
							.done(function(data) {
							
								$('#popupCargando').hide();
							
								var resultado=data.split('#');
								
								if(resultado.length>1) {
								
									confirm('Atencion: Hay <strong>'+resultado.length+' palets</strong> en la ubicación <strong>'+ubicacionInformada+'</strong><br><br>¿Deseas consultar estos palets y su contenido para reagruparlos?','advertencia','REAGRUPAR','Inventariar solo este palet')
									.done(function(){
									
										$('#popupCargando').show();
										window.location='info-ubicacion-S.php?ubicacion='+ubicacionInformada+'&procedencia=inventario';
										
									})
									.fail(function(){
									
										enviaFormulario();
										
									});
								
								}
								else {
								
									enviaFormulario();
									
								}
							
							});
				
						
						}
						else {
					
							if(ubicacionInformada) enviaFormulario();
							
						}
						
					}
				
				});

			}
			else { //No hay palet informado o se ha borrado
			
				$('#bloqueProductosIncluidosEnPalet').hide();
			
			}
		
		}
		
		function enviaFormulario() {
		
			$('#popupCargando').show();
			$('#formularioInventario').submit();
		
		}
		
		function iniciaPalet() {
		
			$('#popupCargando').show();
		
			$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-iniciar-finalizar.php', { inventario : '<?php echo $inventarioNumero; ?>' , ubicacion : $('#ubicacion').val() , palet : $('#palet').val() , accion : 'inicio' })
			.done(function(data) {
				
					$('#popupCargando').hide();
				
					var resultado=data.split('#');
					
					if(resultado[0]=='1') {
						alert('ERROR: '+resultado[1],null,'error')
						.done(function(){
							$('#palet').addClass('campoError');
						});
					}
					else if(resultado[0]=='2') {
						alert('ATENCION: '+resultado[1],null,'advertencia')
						.done(function(){
							$('#iniciarPalet').val(1);
							enviaFormulario();
						});
					}
					else {
						$('#iniciarPalet').val(1);
						enviaFormulario();
					}
				
			});
		
		}
		
		function detienePalet() {
		
			$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-iniciar-finalizar.php', { inventario : '<?php echo $inventarioNumero; ?>' , palet : $('#palet').val() , ubicacion : $('#ubicacion').val() , accion : 'fin' })
			.done(function(data) {
				
					console.log(data);
				
					var resultado=data.split('#');
					
					if(resultado[0]=='1') {
						$('#popupCargando').hide();
						alert('ERROR: '+resultado[1],null,'error');
					}
					else {
						reinicia();
						enviaFormulario();
					}
				
			});
		
		}
		
		function todosRellenados() {
		
			var todosRellenados=true;
			
			$('.cantidadComprobar').each(function(){
				if($(this).val()=='') {
					todosRellenados=false;
					$(this).addClass('campoError');
				}
			});
			
			if(!todosRellenados) {
				alert('ATENCION: No puedes enviar el palet inventariado sin indicar cantidad<br>para todos los artículos, incluso si es cero.',null,'advertencia');
				return false;
			}
			else return true;
		
		}
		
		function enviarDatos() {
		
			var hayErrores=false;
			
			$('.cantidadComprobar').each(function(){
				if( $(this).hasClass('campoError') ) {
					hayErrores=true;
				}
			});
			
			if(hayErrores) {
			
				alert('ATENCION: Hay lineas con cantidades que todavía contienen errores.<br>Por favor, revisa los datos informados',null,'advertencia');
				return false;
				
			}
			else {
		
				confirm('Vas a proceder a confirmar en Proxium el inventario del palet <strong>'+$('#palet').val()+'</strong>.<br><br>¿Deseas continuar con el envío?','advertencia')
				.done(function(){
					$('#popupCargando').show();
					$('#enviarDatos').val(1);
					enviaFormulario();
				})
				.fail(function(){
					$('#discrepanciasInformadas').val('');
				});
			
			}
			
		}
		
		//método de alternar entre cajas y unidades
		
		function cambiaUnidades(botonPulsado) {
		
			console.log('proceso cambiar unidades');
		
			var campo=botonPulsado.siblings('input.cantidad');
			var id=campo.attr('id');
			var iconoUnidades=$('#iconoUnidades-'+id);
			var campoCajas=$('#cajas-'+id);
			var etiquetaCantidad=$('#etiqueta-'+id);
			
			var valor=campo.val();
			var embalajePrimarioCaja=parseInt(campo.attr('EmbalajePrimarioCaja'));
			if(!embalajePrimarioCaja) embalajePrimarioCaja=1;
			
			console.log('id del campo: '+id);
			//console.log('valor campo: '+valor);
			//console.log('embalajePrimarioCaja: '+embalajePrimarioCaja);
			console.log('id del campo cajas: '+'#cajas-'+id);
	
			//if(valor) { //Se comenta para que pueda intercambiarse boton aunque no haya cantidad previamente
			
				if( campoCajas.val()=='1' ) {
					
					iconoUnidades.attr('src','<?php echo DIR_IMAGENES; ?>/Cajas.png');
					etiquetaCantidad.html('Unidades');
					campoCajas.val('0');
					
					var resultado = parseInt( valor * embalajePrimarioCaja );
					
					if(resultado>0) {
						campo.val( resultado );
						campo.trigger('change');
						campoCajas.trigger('change');
					}
					

				}
				else {
				
					
					iconoUnidades.attr('src','<?php echo DIR_IMAGENES; ?>/Unidades.png');
					etiquetaCantidad.html('Cajas');
					campoCajas.val('1');
					
					var flotante = parseFloat( valor / embalajePrimarioCaja );
					var resultado = Math.round(flotante*100)/100;
					
					if(resultado>0) {
						campo.val( resultado );
						campo.trigger('change');
						campoCajas.trigger('change');
					}
					
					
				}
				
			//}
			
			campo.focus();
		
		}
		
		function hayDiscrepancias() {
		
			if( $('#discrepanciasInformadas').val() ) {
			
				$('tr').removeClass('rojo');
				$('tr').removeClass('fondoRojo');
				
				return false;
			
			}
			else {
		
				var hayDiscrepancias=false;
				
				$('.cantidadComprobar').each(function(){
				
					var campo=$(this).attr('id');
					var campoOriginal='original-'+campo;
					
					//console.log('valor original: '+$('#'+campoOriginal).val());
					//console.log('valor introducido: '+$(this).val());
					
					if ( parseFloat($('#'+campoOriginal).val())!=parseFloat($(this).val()) ) {
					
						hayDiscrepancias=true;
						
						$(this).parent('td').parent('tr').addClass('rojo');
						$(this).parent('td').parent('tr').addClass('fondoRojo');
					}
				});
				
				if(hayDiscrepancias) {
					$('#discrepanciasInformadas').val(1);
					alert('ATENCION: Existen discrepancias respecto al stock actual, marcadas en rojo.<br>Revisa los datos nuevamente antes de confirmar.',null,'advertencia');
					return true;
				}
				else return false;
				
			}

		
		}

		
		$(document).ready(function() {
		
			//Botones de alternar entre cajas y unidades
			
			$('.iconoUnidades').on('click',function(){
			
				cambiaUnidades( $(this) );
			
			});
		
			////// campos numericos y observaciones editables
			
			
			$('.cantidad').on('click',function(e) {
			
				$('#calculadora').show();
				$('#valorCalculadora').val( $(this).val() );
				$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
				$('#enterCalculadora').attr('forzarEnter','si');
				
			});
			
			$('.cantidad').on('change',function(e) {
				
				var campo=$(this);
				var valor=campo.val();
				
				var decimalesPermitidos=campo.attr('decimales');
				
				var temp=valor.split('.');
				var parteDecimal=temp[1];
				var tieneDecimal = ( parteDecimal!=undefined && parseInt(parteDecimal)!=0 );
				
				var id=campo.attr('id');
				var campoCajas=$('#cajas-'+id);
				var cajas=campoCajas.val();
				
				campo.removeClass('campoError');
				
				if( cajas=='1' && tieneDecimal ) {
				
					alert('Atención: No se puede indicar decimales en una cantidad informada en cajas. ',null,'error')
					.done( function() {
					
						$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-borrar-datos.php', { 'campo' : id })
						.done(function(){
							campo.val('');
							campo.addClass('campoError');
							campo.focus();
						});
						
					});
				}
				else if( parteDecimal && parteDecimal.length > decimalesPermitidos ) {
					
					if(!decimalesPermitidos) decimalesPermitidos='0';
					
					alert('Atención: Esta cantidad excede del número de decimales permitidos ('+decimalesPermitidos+'). ',null,'error')
					.done( function() {
						
						$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-borrar-datos.php', { 'campo' : id })
						.done(function(){
							campo.val('');
							campo.addClass('campoError');
							campo.focus();
						});
						
					});
				}
				
			});
				
			
			$('.iconoTeclado').on('click',function(e) {
			
				var campo=$(this).siblings('input');
			
				$('#teclado').show();
				$('#valor').val( campo.val() );
				$('#valorOculto').val( campo.val() );
				$('#enter').attr('campoValor',campo.attr('id'));
				$('#enter').attr('formulario','');
				$('#enter').attr('forzarEnter','si');

			
			});
			
			$('.iconoBorrar').on('click',function(e) {
			
				var campo=$(this).siblings('input');
			
				campo.val('');
				campo.focus();
			
			});
			
			
			////// guardar campos en session
			
			$('.guardarCampo').on('change',function(e){
			
				e.preventDefault();
			
				$.post( '<?php echo $rutaHtml; ?>/contenidos/inventario-palet-grabar-datos.php', { campo : $(this).attr('id') , valor : $(this).val() })
				.done(function(data){
					console.log(data);
				});

			
			});
			
		
			////// campo ubicacion
		
			$('#tecladoUbicacion').on('click',function(){
					
				$('#teclado').show();
				$('#valor').val( $('#ubicacion').val() );
				$('#valorOculto').val( $('#ubicacion').val() );
				$('#enter').attr('campoValor','ubicacion');
				$('#enter').attr('formulario','');
						
			});
			
			$('#borrarUbicacion').on('click',function(){
					
				$("#ubicacion").val('');
				$("#ubicacion").focus();
						
			});
			
			$('#ubicacion').on('change',function(e){
			
				e.preventDefault();
					
				compruebaCombinacionPaletUbicacion();
				
				$('#palet').focus();
						
			});
			
			///// boton playas
			
			$('#botonPlayas').on('click',function(e){
				e.preventDefault();
				$('#popupPlayas').show();
			});
			
			$('.selectorPlaya').on('click',function(e){
				
				e.preventDefault();
				
				$('#popupPlayas').hide();
				$("#ubicacion").val( $(this).attr('id') );
				$('#ubicacion').trigger('change');
				
			});
			
			///// campo palet
			
			$('#tecladoPalet').on('click',function(){
					
				$('#teclado').show();
				$('#valor').val( $('#palet').val() );
				$('#valorOculto').val( $('#palet').val() );
				$('#enter').attr('campoValor','palet');
				$('#enter').attr('formulario','');
						
			});
			
			$('#borrarPalet').on('click',function(e) {
			
				$("#palet").val('');
				$("#palet").focus();
				
				$('#bloqueProductosIncluidosEnPalet').hide();
			
			});
			
			$('#palet').on('change',function(e){
			
				e.preventDefault();
			
				compruebaCombinacionPaletUbicacion();
						
			});
			
			//Boton play
			
			$('#botonPlay').on('click',function(){
			
				$('#palet').removeClass('campoError');
			
				<?php if($playIniciado) { ?>
				
				if( todosRellenados() ) {
				
					if( !hayDiscrepancias() ) {
					
						enviarDatos();
						
					}
				
				}
				
				<?php } else { ?>
		
				if( $('#ubicacion').val() && $('#ubicacion').val() ) {
		
					iniciaPalet();
				
				}
				else {
				
					alert('Para comenzar la operativa, debes informar palet y ubicación.',null,'error')
					.done(function(){
					
						if(!$('#ubicacion').val() ) {
							$('#ubicacion').addClass('campoError');
							$('#ubicacion').focus();
						}
						if(!$('#palet').val() ) {
							$('#palet').addClass('campoError');
							$('#palet').focus();
						}
					
					});
					
				
				}
				
				<?php } ?>
						
			});
			
			//Boton stop
			
			$('#botonStop').on('click',function(){
			
				<?php if($hayProductosInformados) { ?>
				
				confirm('ATENCION: Has informado productos y vas a detener el proceso de inventariar el palet '+$('#palet').val()+'.<br>Los datos introducidos no han sido enviados a Proxium y se borrarán.<br><br>¿Deseas continuar?','advertencia')
				.done(function(){
				
					$('#popupCargando').show();
					detienePalet();
				
				});
				
				<?php } else { ?>
				
				$('#popupCargando').show();
				detienePalet();
				
				<?php } ?>

			});
			
			//Nuevo producto no incluido en inventario 
			
			$('#botonNuevoProductoAbrir').on('click',function(e){
			
				e.preventDefault();
			
				$('#popupCargando').show();
				window.location='info-producto-S.php?procedencia=inventario';
			
			});
			
			$('#botonNuevoProductoCerrar').on('click',function(e){
			
				e.preventDefault();
			
				$('#popupNuevoProducto').hide();
			
			});
			
			
			
			
			
			//Foco inicial
			
			<?php if($_GET['automatizarProducto']) { ?>
			
			focoSiguiente('');
			
			<?php } else {  ?>
			
			$("#ubicacion").focus();
			
			<?php } ?>
	
		});

	</script>

	<?php

	include($rutaPhp.$rutaHtml.'/maqueta/menu-inventario.php');
	
}

$esperarCarga=false;
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
